Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.gas
Class GasExperiment

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              turtlekit.kernel.Launcher
                  turtlekit.simulations.gas.GasExperiment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class GasExperiment

extends Launcher

Version:
  1.1 6/12/1999
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Launcher
`COMMUNITY`

Constructor Summary
`GasExperiment()`

Method Summary
`void` | `addSimulationAgents()` Override this method is compulsory (abstract).
`int` | `getHoleSize()`
`int` | `getNbOfTurtles()`
`int` | `getWallX()`
`void` | `setHoleSize(int add)`
`void` | `setNbOfTurtles(int add)`
`void` | `setWallX(int add)`

Methods inherited from class turtlekit.kernel.Launcher
`activate, addMyScheduler, addObserver, addObserver, addPatchVariable, addTurtle, addTurtle, addViewer, addViewer, addViewer, addViewer, addViewer, addViewer, end, getCellSize, getHeight, getSimulationName, getWidth, initGUI, initializePatchVariables, launchPython, live, setCellSize, setCyclePause, setHeight, setSimulationName, setWidth, setWrapModeOn, stopOrResumeSimulation`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GasExperiment

    public GasExperiment()

Method Detail

### setNbOfTurtles

    public void setNbOfTurtles(int add)

### getNbOfTurtles

    public int getNbOfTurtles()

### setWallX

    public void setWallX(int add)

### getWallX

    public int getWallX()

### setHoleSize

    public void setHoleSize(int add)

### getHoleSize

    public int getHoleSize()

### addSimulationAgents

    public void addSimulationAgents()

  Description copied from class: `Launcher`
  Override this method is compulsory (abstract). It is in this method that the optional agents of the simulation (turtles, viewers and observers) have to be added. To add these agents you have to use the "add" methods of a Launcher: - addTurtle - addViewer - addObserver

  Specified by:
    `addSimulationAgents` in class `Launcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.